%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	4.3.5
Release:	%mkrel 1
URL:		http://lftp.yar.ru/
Group:		Networking/File transfer
License:	GPLv2+
Source0:	http://ftp.yars.free.net/pub/source/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://ftp.yars.free.net/pub/source/%{name}/%{name}-%{version}.tar.bz2.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.7.7-distro-defaults.patch
Patch2:		lftp-4.2.0-link.patch
Patch3:		lftp-3.7.14-fix-str-fmt.patch
BuildRequires:	ncurses-devel
BuildRequires:	gnutls-devel
BuildRequires:	readline-devel
BuildRequires:	expat-devel
%if %enable_dante
BuildRequires:	dante-devel
%endif
Requires:	less

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%if %enable_dante
Build option:
--with dante	Enable dante support
%endif

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname -d lftp 0

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .agent
%patch2 -p1 -b .link
%patch3 -p0 -b .str

# fix encoding
iconv -f ISO-8859-1 -t UTF-8 NEWS -o NEWS.utf8
touch -r NEWS NEWS.utf8
mv -f NEWS.utf8 NEWS

%build
%configure2_5x \
	--with-modules=yes \
	--with-pager="exec less" \
%if %enable_dante
	--with-socksdante=yes \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING FAQ MIRRORS NEWS
%doc README.* THANKS TODO lftp.lsm BUGS
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%dir %dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so


%changelog

* Wed Jan 25 2012 fwang <fwang> 4.3.5-1.mga2
+ Revision: 201219
- new version 4.3.5

  + dmorgan <dmorgan>
    - Fix package ownage
    - Remove require on lib

* Tue Jan 03 2012 zezinho <zezinho> 4.3.4-1.mga2
+ Revision: 189884
- new version

* Mon Oct 31 2011 zezinho <zezinho> 4.3.3-1.mga2
+ Revision: 160212
- new version
- new version

* Sat Sep 17 2011 fwang <fwang> 4.3.2-1.mga2
+ Revision: 144367
- new version 4.3.2
- rebuild for new gnutls

* Mon Jul 04 2011 ahmad <ahmad> 4.3.1-2.mga2
+ Revision: 117885
- Tighten the main package requires on libname

* Sun Jul 03 2011 ahmad <ahmad> 4.3.1-1.mga2
+ Revision: 117683
- Update to 4.3.1
- Fix NEWS file encoding
- Don't ship .la

* Sun May 15 2011 pterjan <pterjan> 4.2.2-2.mga1
+ Revision: 98945
- Rebuild for fixed find-requires

* Wed Apr 13 2011 tv <tv> 4.2.2-1.mga1
+ Revision: 84570
- new release
- rediff link patch

* Tue Jan 18 2011 blino <blino> 4.1.3-2.mga1
+ Revision: 23580
- rename patch for default distro settings
- remove old ldconfig scriptlets
- imported package lftp

